'''

Copyright (c) 2017, Vanessa Sochat, All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

* Redistributions of source code must retain the above copyright notice, this
  list of conditions and the following disclaimer.

* Redistributions in binary form must reproduce the above copyright notice,
  this list of conditions and the following disclaimer in the documentation
  and/or other materials provided with the distribution.

* Neither the name of the copyright holder nor the names of its
  contributors may be used to endorse or promote products derived from
  this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

'''


from django.shortcuts import render
from django.template.context import RequestContext
from django.db.models import Q


# Search Pages #################################################################

def search_view(request):
    context = {'active':'share'}
    return render(request, 'search/search.html', context)


def search_query(request,query=None):
    '''query is a post, and results returned immediately'''
    from shub.apps.main.query import collection_query
    context = {'submit_result':'anything'}
    if query is not None:
        results = collection_query(query)
        context["results"] = results
 
    return render(request, 'search/search_single_page.html', context)


def container_search(request):
    '''container_search is the ajax driver to show results for a container search.
    by default we search container collection name.
    ''' 
    from shub.apps.main.query import collection_query
    if request.is_ajax():
        q = request.GET.get('q')
        if q is not None:    
            results = collection_query(q)
            context = {"results":results,
                       "submit_result": "anything"}

            return render(request, 'search/result.html', context)
